<?php
namespace WebDB92\Sample;

error_reporting(-1);

if (!function_exists('curl_init')) {
    echo 'curl ライブラリが有効化されていません', PHP_EOL;
    exit(1);
}

fwrite(STDERR, 'cURL関数でHTTPリクエストを行います' . PHP_EOL);


// GETリクエストの例
$query = [
    'fizz' => 'buzz',
    'ほげ' => 'ふが',
];
$get_url = 'http://httpbin.org/get?' . http_build_query($query);
fwrite(STDERR, PHP_EOL . "GET  ${get_url}". PHP_EOL);
$curl = curl_init($get_url);
curl_setopt_array($curl, [
    CURLOPT_RETURNTRANSFER => true
]);
$json = curl_exec($curl);
var_dump(json_decode($json, true));
curl_close($curl);
echo PHP_EOL;


// POSTリクエストの例
$post_url = 'http://httpbin.org/post';
$form = [
    'fizz' => 'buzz',
    'ほげ' => 'ふが',
];
$curl = curl_init($post_url);
curl_setopt_array($curl, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_POST => true,
    CURLOPT_POSTFIELDS => http_build_query($form),
]);

fwrite(STDERR, "POST {$post_url}". PHP_EOL);
$json = curl_exec($curl);
var_dump(json_decode($json, true));
curl_close($curl);
var_dump(json_decode($json, true));
