<?php
namespace WebDB92\Sample;

use GuzzleHttp\Client;
use GuzzleHttp\HandlerStack;

/**
 * APIクライアントの実装例です
 */
class SampleAPIClient
{
    const BASE_URI = 'https://httpbin.org/';
    const USER_AGENT = 'WebDB/92(+http://gihyo.jp/magazine/wdpress/archive/2016/vol92)';

    use JsonAPIClientTrait;

    public function __construct()
    {
        $this->setHeader(['User-Agent' => self::USER_AGENT]);
    }

    /**
     * /user-agent にリクエストを行います
     */
    public function useragent(array $option = [])
    {
        return $this->request('GET', '/user-agent', $option)['user-agent'];
    }
}
