<?php
namespace WebDB92\Sample;

use GuzzleHttp;

error_reporting(-1);

if (file_exists(__DIR__ . '/vendor/autoload.php')) {
    require __DIR__ . '/vendor/autoload.php';
} else {
    echo 'Composerがインストールされていません', PHP_EOL, PHP_EOL;
    echo ' 1. https://getcomposer.org/ から composer.phar を入手', PHP_EOL;
    echo ' 2. composer install コマンドを実行', PHP_EOL;
    exit(1);
}

fwrite(STDERR, 'Guzzleライブラリをベースに作成したAPIClientでHTTPリクエストを行います' . PHP_EOL);

$client = new SampleAPIClient;

if (isset($_SERVER['argv'][1])) {
    $ua = $_SERVER['argv'][1] . '; ' . SampleAPIClient::USER_AGENT;
    $option = [
        'headers' => [
            'User-Agent' => $ua,
        ]
    ];
} else {
    $option = [];
}

echo "User-Agent: ";
echo $client->useragent($option), PHP_EOL;
